Bug 2082773 - [AWS-EBS-CSI-driver-Operator] Generic ephemeral volumes online resize Filesystem type volume stucked at file system resize phase
Summary: [AWS-EBS-CSI-driver-Operator] Generic ephemeral volumes online resize Filesys...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.11
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.12.0
Assignee: Hemant Kumar
QA Contact: Penghao Wang
Olivia Payne
URL:
Whiteboard:
Depends On:
Blocks: 2104344
TreeView+ depends on / blocked
 
Reported: 2022-05-07 06:18 UTC by Penghao Wang
Modified: 2023-01-17 19:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Previously, checks for generic ephemeral volumes failed. With this update, checks for expandable volumes now include generic ephemeral volumes. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2082773[*BZ#2082773*]
Clone Of:
: 2104344 (view as bug list)
Environment:
Last Closed: 2023-01-17 19:48:48 UTC
Target Upstream Version:
Embargoed:
pewang: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 1296 0 None open Bug 2082773: Fix resizing of ephemeral volumes 2022-06-23 03:43:23 UTC
Red Hat Product Errata RHSA-2022:7399 0 None None None 2023-01-17 19:49:04 UTC

Comment 3 Hemant Kumar 2022-05-11 02:32:08 UTC
I think this is happening because we are explicily checking for pvc sources in pod's volume:

///
	if podVolume.PersistentVolumeClaim == nil || pvc == nil {
		// Only PVC supports resize operation.
		return
	}

And since this returns false - resize operation is not attempted.

Comment 5 Hemant Kumar 2022-05-11 19:08:36 UTC
Yeah I don't think you are supposed to modify the workloads directly. 

I opened https://github.com/kubernetes/kubernetes/pull/109987 to fix the issue and verified that it works.

Comment 6 Penghao Wang 2022-05-11 23:18:40 UTC
Got it. Many thanks for the fix and clarify!

Comment 7 Hemant Kumar 2022-05-18 20:17:02 UTC
I have backported the fixes to 1.24 and 1.23 - https://github.com/kubernetes/kubernetes/pull/110117 and https://github.com/kubernetes/kubernetes/pull/110118

I will keep an eye on them getting merged and once they merge I will probably link this to a bug that does rebase.

Comment 8 Penghao Wang 2022-05-19 01:04:06 UTC
Sure. Thanks!

Comment 9 Hemant Kumar 2022-06-22 16:00:39 UTC
backport for OCP - https://github.com/openshift/kubernetes/pull/1296

Comment 18 errata-xmlrpc 2023-01-17 19:48:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.12.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:7399


Note You need to log in before you can comment on or make changes to this bug.